package routers

import (
	"github.com/gin-gonic/gin"
	"project_management/app/controller"
)

func AppUserRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.POST("/regist", controller.RegistApply)
	group.POST("/appuser", controller.AddAppUser)
	group.POST("/appuserlist", controller.GetAppUserList)
	group.PUT("/appuser", controller.UpdateAppUser)
	group.DELETE("/appuser", controller.DeleteAppUserByID)
	group.POST("/accountlogin", controller.LoginAppUser)
	group.POST("/codelogin", controller.LoginAppUserByCode)
	// 根据appid获取应用详情
	group.GET("/apply", controller.GetApplyByAPPID)
	// 根据应用名称获取应用详情
	group.GET("/apply/cap", controller.GetApplyCapList)
}
