package services

import (
	"project_management/app/e"
	"project_management/app/model"
	"project_management/unity"
)

type Apply interface {
	AddApply(apply model.Apply) e.Rescode
	GetApplyList(params unity.QueryPageParams, apply model.Apply, queryCond string) (result []model.Apply, total int64, err error)
	UserUpdateApply(apply model.Apply) e.Rescode
	GetApplyById(appid string) (model.Apply, error)
	QueryApplyByAppName(appName, phone string) ([]model.Apply, error)
	GetApplyAminList(params unity.QueryPageParams, apply model.Apply, queryCond string) (result []model.AppDto, total int64, err error)
	ApplyAddCap(applycap model.ApplyCapabilities) e.Rescode
	UpDateApplyCap(applycap model.ApplyCapabilities) e.Rescode
	CollectionList(params unity.QueryPageParams, apply model.Apply, queryCond string) (result []model.AppDto, total int64, err error)
	Check() bool
}
